Maybe you got it wrong, openSuSE does not need that, but the enterprise variants. Just like when you compare Fedora to Red Hat which got it's free enterprise clone called CentOS. U does not support all packages in the same level anyway, so even LTS is restricted to a relatively small amount of packages - only those which are used by the server flavour will be supported the longest time. When you compare that to Debian you get at least free security updates for oldstable when a stable release is out. Combined time for stable + oldstable support it could be a really long time.